input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    display: block;
    position: relative;
    background: transparent;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";
    fill: $white;

    #{$input-selector} {
        margin: 0;
        z-index: 10;
        width: 100%;
        border: none;
        outline: none;
        display: block;
        color: $white;
        position: relative;
        box-shadow: none;
        height: size-rel(51px);
        font-weight: 400;
        font-size: size-rel(18px);
        line-height: size-rel(24px);
        font-family: $font-family-third;
        padding: size-rel(6px) 0 size-rel(20px) 0;
        background: transparent !important;
        vertical-align: middle;
        border-bottom: 1px solid rgba(255,255,255,0.15);
        @include placeholder(#656464);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            background: transparent !important;
            @include placeholder(transparent);

        }

        &.error {
            border-color: red !important;
        }

        &:focus + .field__icon {
            fill: $pink;
        }
    }

    textarea {
        height: auto;
        resize: none;
    }

    &__icon {
        top: size-rel(9px);
        font-size: 0;
        line-height: 0;
        height: size-rel(18px);
        display: inline-block;
        z-index: 5;
        position: absolute;
    }

    &--icon {
        #{$input-selector} {
            padding-left: size-rel(36px);
        }
    }

    &--success {
        fill: $pink;
    }
}
